//+------------------------------------------------------------------+
//|                                  MTF ADX BARS Smd.mq4         ik |
//|                      MTF ADX BARS Smoothed  [sw]    Perky            |
//|                                                                  |
//+------------------------------------------------------------------+
#property  copyright "Perky"
#property  link      "Perky_z@yahoo.com"

//---- indicator settings
#property indicator_separate_window
#property  indicator_buffers 2
#property  indicator_color1  MediumPurple
#property  indicator_color2  MediumOrchid
#property indicator_width1 2
//---- indicator parameters
extern int TimeFrame=0;
extern int ADXPeriod = 14;
extern int ADXBARSPeriod = 5;
extern int Shift=0;
//---- indicator buffers


double ExtMapBuffer1[];
double ExtMapBuffer2[];


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//----additional buffers are used for counting.
   IndicatorBuffers(2);
       SetIndexBuffer(0, ExtMapBuffer1);
   SetIndexStyle(0,DRAW_LINE);
     SetIndexDrawBegin(0, ADXPeriod- 1);
    if(TimeFrame==0) TimeFrame = Period();
   SetIndexShift(0, Shift*TimeFrame/Period());
    SetIndexLabel(0,"MTF_ADXBarsSmd("+ADXPeriod+")TF"+TimeFrame+"s"+Shift+"");
      SetIndexBuffer(1, ExtMapBuffer2);
   SetIndexStyle(1,DRAW_LINE);
        SetIndexDrawBegin(1,ADXBARSPeriod);
   SetIndexShift(1, Shift*TimeFrame/Period());
     SetIndexLabel(1,"MTF_ADXBarsSmd("+ADXPeriod+")TF"+TimeFrame+"s"+Shift+"");
      IndicatorShortName("MTF_ADXBarsSmd");
   
   return(0);
  }

//---- 
 
 int start() 

  {
   datetime TimeArray[];
   int    i,shift,limit,y=0,counted_bars=IndicatorCounted();
     
   ArrayCopySeries(TimeArray,MODE_TIME,Symbol(),TimeFrame); 
   
   limit=Bars-counted_bars;
   for(i=0,y=0;i<limit;i++) {
     if (Time[i]<TimeArray[y]) {y++;}   
     ExtMapBuffer1[i]=iCustom(NULL,TimeFrame,"ADXBarsSmd",ADXPeriod,ADXBARSPeriod,Shift, 0,y); 
     ExtMapBuffer2[i]=iCustom(NULL,TimeFrame,"ADXBarsSmd",ADXPeriod,ADXBARSPeriod,Shift, 1,y);
   }
   return(0);
  }

 
 